com.amazonaws.services.simpleworkflow.model

## Class FailWorkflowExecutionDecisionAttributes

- java.lang.Object
- - com.amazonaws.services.simpleworkflow.model.FailWorkflowExecutionDecisionAttributes

All Implemented Interfaces:
  Serializable, Cloneable

    public class FailWorkflowExecutionDecisionAttributes
    extends Object
    implements Serializable, Cloneable

Provides details of the `FailWorkflowExecution` decision.

Access Control

You can use IAM policies to control this decision's access to Amazon SWF resources as follows:

- Use a `Resource` element with the domain name to limit the action to only specified domains.
- Use an `Action` element to allow or deny permission to call this action.
- You cannot use an IAM policy to constrain this action's parameters.

If the caller does not have sufficient permissions to invoke the action, or the parameter values fall outside the specified constraints, the action fails. The associated event attribute's cause parameter will be set to OPERATION_NOT_PERMITTED. For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`FailWorkflowExecutionDecisionAttributes()`

### Method Summary

All Methods Instance Methods Concrete Methods
`FailWorkflowExecutionDecisionAttributes` `clone()`
`boolean` `equals(Object obj)`
`String` `getDetails()` Optional. Details of the failure.
`String` `getReason()` A descriptive reason for the failure that may help in diagnostics.
`int` `hashCode()`
`void` `setDetails(String details)` Optional. Details of the failure.
`void` `setReason(String reason)` A descriptive reason for the failure that may help in diagnostics.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`FailWorkflowExecutionDecisionAttributes` `withDetails(String details)` Optional. Details of the failure.
`FailWorkflowExecutionDecisionAttributes` `withReason(String reason)` A descriptive reason for the failure that may help in diagnostics.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FailWorkflowExecutionDecisionAttributes

    public FailWorkflowExecutionDecisionAttributes()

### Method Detail

#### setReason

    public void setReason(String reason)

A descriptive reason for the failure that may help in diagnostics.

Parameters:
  `reason` - A descriptive reason for the failure that may help in diagnostics.

#### getReason

    public String getReason()

A descriptive reason for the failure that may help in diagnostics.

Returns:
  A descriptive reason for the failure that may help in diagnostics.

#### withReason

    public FailWorkflowExecutionDecisionAttributes withReason(String reason)

A descriptive reason for the failure that may help in diagnostics.

Parameters:
  `reason` - A descriptive reason for the failure that may help in diagnostics.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDetails

    public void setDetails(String details)

Optional. Details of the failure.

Parameters:
  `details` - Optional.

#### getDetails

    public String getDetails()

Optional. Details of the failure.

Returns:
  Optional.

#### withDetails

    public FailWorkflowExecutionDecisionAttributes withDetails(String details)

Optional. Details of the failure.

Parameters:
  `details` - Optional.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public FailWorkflowExecutionDecisionAttributes clone()

Overrides:
  `clone` in class `Object`